VERSION 5.00
Object = "{6B7E6392-850A-101B-AFC0-4210102A8DA7}#2.0#0"; "MSCOMCTL.OCX"
Begin VB.Form FSysForm 
   Caption         =   "FileSystemObject Demo"
   ClientHeight    =   6180
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6150
   LinkTopic       =   "Form1"
   ScaleHeight     =   6180
   ScaleWidth      =   6150
   StartUpPosition =   3  'Windows Default
   Begin ComctlLib.TreeView TreeView1 
      Height          =   5535
      Left            =   0
      TabIndex        =   1
      Top             =   0
      Width           =   6135
      _ExtentX        =   10821
      _ExtentY        =   9763
      _Version        =   393217
      Style           =   6
      Appearance      =   1
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Populate Tree"
      BeginProperty Font 
         Name            =   "Verdana"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   4200
      TabIndex        =   0
      Top             =   5640
      Width           =   1935
   End
End
Attribute VB_Name = "FSysForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'  ******************************
'  ******************************
'  ** MASTERING VB6            **
'  ** by Evangelos Petroutos   **
'  ** SYBEX, 1998              **
'  ******************************
'  ******************************
Dim FSys As New Scripting.FileSystemObject

Private Sub Command1_Click()
Dim folderSpec As String

    Set FSys = CreateObject("Scripting.FileSystemObject")
    ' Specify the folder you wish to map in the following line
    folderSpec = "C:\windows"
    folderSpec = UCase(folderSpec)
    TreeView1.Nodes.Add , , folderSpec, folderSpec
    Screen.MousePointer = vbHourglass
    ScanFolder (folderSpec)
'    Debug.Print "*** END OF DIRECTORY LISTING ***"
    Screen.MousePointer = vbDefault
    TreeView1.Nodes(1).Expanded = True
    MsgBox "File List created"
End Sub

Sub ScanFolder(folderSpec As String)
Dim thisFolder As Folder
Dim sFolders As Folders
Dim fileItem As File, folderItem As Folder
Dim AllFiles As Files

    Set thisFolder = FSys.GetFolder(folderSpec)
    Set sFolders = thisFolder.SubFolders
    Set AllFiles = thisFolder.Files
    For Each folderItem In sFolders
'        Debug.Print
'        Debug.Print "*** FOLDER  " & folderItem.Path & "***"
        TreeView1.Nodes.Add folderItem.ParentFolder.Path, tvwChild, folderItem.Path, folderItem.Name
        ScanFolder (folderItem.Path)
    Next
    For Each fileItem In AllFiles
'        Debug.Print fileItem.Path
        TreeView1.Nodes.Add fileItem.ParentFolder.Path, tvwChild, fileItem.Path, fileItem.Name
    Next
    
End Sub

